## EphyEmbedFactory

EphyEmbedFactory — Factory for creating new embed objects

## Synopsis

## Description

EphyEmbed, EphyEmbedPersist and EphyEmbedSingle are all interfaces. In the interest of abstraction, the only recommended way to create new instances of the objects which implement these interfaces is to use EphyEmbedFactory.

To create a new instance of an EphyEmbed, EphyEmbedPersist or EphyEmbedSingle, use `ephy_embed_factory_new_object()`.

## Details